Name:           bonnie++
Version:        1.96
Release:        1

Summary:        Filesystem and disk benchmark & burn-in suite

Group:          Applications/System
License:        GPLv2
URL:            http://www.coker.com.au/bonnie++/
Source0:        http://www.coker.com.au/bonnie++/experimental/bonnie++-%{version}.tgz
Patch0:         %{name}-%{version}-makefile.patch
Patch1:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  patch, make

%description
bonnie++ filesystem and disk benchmark suite aggressively reads & writes
in various ways on your filesystem then outputs useful benchmark performance
data.  bonnie++ is also useful as a hardware, disk, and filesystem stability
test, exposing some types of hardware or kernel failures that would otherwise
be difficult to detect.

Do not leave bonnie++ installed on a production system.  Use only while you
test servers.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0 -p1
%patch1


%build
export CC="xlc_r"
export CXX="xlC_r"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :
/usr/bin/strip ${RPM_BUILD_ROOT}%{_sbindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin sbin
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc readme.html copyright.txt credits.txt debian/changelog
%{_bindir}/*
%{_sbindir}/*
/usr/bin/*
/usr/sbin/*


%changelog
* Wed Oct 05 2010 Michael Perzl <michael@perzl.org> - 1.96-1
- first version for AIX V5.1 and higher
